Bug 114373 - return types don't match
return types don't match
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtoaster (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 07:31 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 10:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-27 07:31:14 EST
Description of problem:

I just tried to compile package gtoaster-1.0beta6-6 from Redhat
Fedora Core 1.

The compiler said

1.

getdir.c:169: warning: `return' with a value, in function returning void


The source code is

                return NULL;

Suggest change return type of function from void to GtkTreeItem *.

2.

getdir.c:193: warning: `return' with a value, in function returning void

Duplicate.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter van Egdom 2005-07-29 10:55:13 EDT
The "gtoaster" package has been removed from Fedora Core 2 (and upwards).

Gnome Toaster wasn't really getting updated upstream anymore, see the website :
http://gnometoaster.rulez.org

Newer Fedora Core releases (FC4) have "k3b" and/or the CD burning capabilities
of Nautilus.

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.